﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup>
    <Filter Include="Source Files">
      <UniqueIdentifier>{4FC737F1-C7A5-4376-A066-2A32D752A2FF}</UniqueIdentifier>
      <Extensions>cpp;c;cc;cxx;c++;cppm;ixx;def;odl;idl;hpj;bat;asm;asmx</Extensions>
    </Filter>
    <Filter Include="Header Files">
      <UniqueIdentifier>{93995380-89BD-4b04-88EB-625FBE52EBFB}</UniqueIdentifier>
      <Extensions>h;hh;hpp;hxx;h++;hm;inl;inc;ipp;xsd</Extensions>
    </Filter>
    <Filter Include="Resource Files">
      <UniqueIdentifier>{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}</UniqueIdentifier>
      <Extensions>rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav;mfcribbon-ms</Extensions>
    </Filter>
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="src\app.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="src\imgui\imgui.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="src\imgui\imgui_demo.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="src\imgui\imgui_draw.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="src\imgui\imgui_impl_glfw.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="src\imgui\imgui_impl_opengl2.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="src\imgui\imgui_impl_opengl3.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="src\imgui\imgui_tables.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="src\imgui\imgui_widgets.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="src\imgui\imgui_example.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="src\data\diskDatabase.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="src\testBackend.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="src\data\memoryDatabase.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="src\data\dataCoordinator.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="src\frontend\transactionTable.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="src\data\aggregationDatabase.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="src\frontend\aggregationTable.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="src\prototype.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="src\main.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="src\frontend\filter.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="src\utils.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="src\imgui\imconfig.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="src\imgui\imgui.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="src\imgui\imgui_impl_glfw.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="src\imgui\imgui_impl_opengl2.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="src\imgui\imgui_impl_opengl3.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="src\imgui\imgui_impl_opengl3_loader.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="src\imgui\imgui_internal.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="src\imgui\imstb_rectpack.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="src\imgui\imstb_textedit.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="src\imgui\imstb_truetype.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="src\data\transaction.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="src\data\diskDatabase.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="src\frontend\transactionTable.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="src\data\databaseConfig.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="src\data\memoryDatabase.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="src\data\dataCoordinator.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="src\data\aggregationDatabase.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="src\frontend\aggregationTable.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="src\constants.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="src\frontend\filter.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="src\utils.h">
      <Filter>Header Files</Filter>
    </ClInclude>
  </ItemGroup>
  <ItemGroup>
    <None Include="database.csv" />
  </ItemGroup>
</Project>